// adafruit-Adafruit-Motor-Shield-library-99381df - Version: Latest 
#include <AFMotor.h>

/*
 Cycles through 4 vibration motors to test them
 Tests the second peltier module (peltier2)
*/

AF_DCMotor peltier1(1, MOTOR12_64KHZ); // create peltier, 64KHz pwm
AF_DCMotor peltier2(2, MOTOR12_64KHZ); // create peltier, 64KHz pwm
AF_DCMotor peltier3(3, MOTOR12_64KHZ); // create peltier, 64KHz pwm
AF_DCMotor peltier4(4, MOTOR12_64KHZ); // create peltier, 64KHz pwm

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(50,OUTPUT);
  pinMode(51,OUTPUT);
  pinMode(52,OUTPUT);
  pinMode(53,OUTPUT);
  
  digitalWrite(50,HIGH);
  digitalWrite(51,HIGH);
  digitalWrite(52,HIGH);
  digitalWrite(53,HIGH);
  
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Motor test!");
  
  peltier2.setSpeed(255);     // set the speed to 200/255
}

// the loop function runs over and over again forever
void loop() {
  // Cycle through vibration motors for test
  digitalWrite(50, LOW);   // turn the LED on (HIGH is the voltage level)
  delay(1000);                       // wait for a second
  digitalWrite(50, HIGH);    // turn the LED off by making the voltage LOW
  delay(1000);
  digitalWrite(51,LOW);
  delay(1000);
  digitalWrite(51,HIGH);
  delay(1000);
  digitalWrite(52,LOW);
  delay(1000);
  digitalWrite(52,HIGH);
  digitalWrite(53,LOW);
  delay(1000);
  digitalWrite(53,HIGH); 
  
  Serial.print("tick");
  
  peltier2.run(FORWARD);      // turn it on going forward
  delay(1000);
 
  Serial.print("tock");
  peltier2.run(BACKWARD);     // the other way
  delay(1000);
  
  Serial.print("tack");
  peltier2.run(RELEASE);      // stopped
  delay(1000);

}
